///////////////////////////////////////////////////////////////////////////////
// PulleyKinematicsTransformationServices.h

#pragma once

#include "TcServices.h"

const ULONG DrvID_PulleyKinematicsTransformation = 0x3F000000;
#define SRVNAME_PULLEYKINEMATICSTRANSFORMATION "PulleyKinematicsTransformation"

///<AutoGeneratedContent id="ClassIDs">
const CTCID CID_PulleyKinematicsTransformationCPulleyKinematicsTransformation = {0xea6465a6,0x1fda,0x4bbd,{0xb5,0xe2,0x94,0x50,0xda,0xe3,0x05,0x96}};
///</AutoGeneratedContent>

///<AutoGeneratedContent id="ParameterIDs">
const PTCID PID_PulleyKinematicsTransformationCncObjectRef = 0x00000001;
///</AutoGeneratedContent>

///<AutoGeneratedContent id="DataTypes">
#if !defined(_TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_)
#define _TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_
typedef struct _MC_TcCncRegisterObject
{
	USHORT type;
	USHORT group;
	ULONG index;
} MC_TcCncRegisterObject, *PMC_TcCncRegisterObject;
#endif // !defined(_TC_TYPE_60B717FF_0B8E_4C00_BC74_C04E3A717929_INCLUDED_)

///</AutoGeneratedContent>



///<AutoGeneratedContent id="DataAreaIDs">
///</AutoGeneratedContent>

///<AutoGeneratedContent id="InterfaceIDs">
///</AutoGeneratedContent>

///<AutoGeneratedContent id="EventClasses">
///</AutoGeneratedContent>
